### Function

# Gimp ProgressVtableSetTextFunc

unstable since: 3.0

#### Declaration

    void
    (* GimpProgressVtableSetTextFunc) (
      const gchar* message,
      gpointer user_data
    )

#### Description [src]

Sets a new text on the progress.

Available since: 3.0

#### Parameters

`message`

  Type: `const gchar*`

  The new text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.